com.hazelcast.concurrent.lock

## Class LockProxySupport

- java.lang.Object
- - com.hazelcast.concurrent.lock.LockProxySupport

-     public final class LockProxySupport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockProxySupport(ObjectNamespace namespace, long maxLeaseTimeInMillis)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forceUnlock(NodeEngine nodeEngine, Data key)`
    `int` | `getLockCount(NodeEngine nodeEngine, Data key)`
    `ObjectNamespace` | `getNamespace()`
    `long` | `getRemainingLeaseTime(NodeEngine nodeEngine, Data key)`
    `boolean` | `isLocked(NodeEngine nodeEngine, Data key)`
    `boolean` | `isLockedByCurrentThread(NodeEngine nodeEngine, Data key)`
    `void` | `lock(NodeEngine nodeEngine, Data key)`
    `void` | `lock(NodeEngine nodeEngine, Data key, long leaseTime)`
    `void` | `lockInterruptly(NodeEngine nodeEngine, Data key)`
    `void` | `lockInterruptly(NodeEngine nodeEngine, Data key, long leaseTime)`
    `boolean` | `tryLock(NodeEngine nodeEngine, Data key)`
    `boolean` | `tryLock(NodeEngine nodeEngine, Data key, long timeout, TimeUnit timeunit)`
    `boolean` | `tryLock(NodeEngine nodeEngine, Data key, long timeout, TimeUnit timeunit, long leaseTime, TimeUnit leaseTimeunit)`
    `void` | `unlock(NodeEngine nodeEngine, Data key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockProxySupport

          public LockProxySupport(ObjectNamespace namespace,
                                  long maxLeaseTimeInMillis)

  - ### Method Detail

    - #### isLocked

          public boolean isLocked(NodeEngine nodeEngine,
                                  Data key)

    - #### isLockedByCurrentThread

          public boolean isLockedByCurrentThread(NodeEngine nodeEngine,
                                                 Data key)

    - #### getLockCount

          public int getLockCount(NodeEngine nodeEngine,
                                  Data key)

    - #### getRemainingLeaseTime

          public long getRemainingLeaseTime(NodeEngine nodeEngine,
                                            Data key)

    - #### lock

          public void lock(NodeEngine nodeEngine,
                           Data key)

    - #### lock

          public void lock(NodeEngine nodeEngine,
                           Data key,
                           long leaseTime)

    - #### lockInterruptly

          public void lockInterruptly(NodeEngine nodeEngine,
                                      Data key)
                               throws InterruptedException

      Throws:
        `InterruptedException`

    - #### lockInterruptly

          public void lockInterruptly(NodeEngine nodeEngine,
                                      Data key,
                                      long leaseTime)
                               throws InterruptedException

      Throws:
        `InterruptedException`

    - #### tryLock

          public boolean tryLock(NodeEngine nodeEngine,
                                 Data key)

    - #### tryLock

          public boolean tryLock(NodeEngine nodeEngine,
                                 Data key,
                                 long timeout,
                                 TimeUnit timeunit)
                          throws InterruptedException

      Throws:
        `InterruptedException`

    - #### tryLock

          public boolean tryLock(NodeEngine nodeEngine,
                                 Data key,
                                 long timeout,
                                 TimeUnit timeunit,
                                 long leaseTime,
                                 TimeUnit leaseTimeunit)
                          throws InterruptedException

      Throws:
        `InterruptedException`

    - #### unlock

          public void unlock(NodeEngine nodeEngine,
                             Data key)

    - #### forceUnlock

          public void forceUnlock(NodeEngine nodeEngine,
                                  Data key)

    - #### getNamespace

          public ObjectNamespace getNamespace()

Copyright © 2019. All rights reserved.